# $Id: command.py 12290 2011-02-10 14:02:38Z pstorz $
class command(object):
  '''
  this class contains the information to a console command, also dot commands
  '''
  def __init__(self, commandtext, commandname, usage, help, inrunscript):
    self.commandtext = commandtext
    self.commandname = commandname
    self.usage = usage
    self.help = help
    self.inrunscript = inrunscript

  def __repr__(self):
    return "command('%s','%s','%s','%s','%s')" % (self.commandtext, self.commandname, self.usage, self.help, self.inrunscript)


